import { Command, flags } from '@heroku-cli/command';
import * as Heroku from '@heroku-cli/schema';
export default class DomainsIndex extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        columns: flags.IOptionFlag<string | undefined>;
        sort: flags.IOptionFlag<string | undefined>;
        filter: flags.IOptionFlag<string | undefined>;
        csv: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        extended: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-header': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        app: flags.IOptionFlag<string>;
        remote: flags.IOptionFlag<string | undefined>;
        json: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    tableConfig: (needsEndpoints: boolean) => {
        hostname: {
            header: string;
        };
        kind: {
            header: string;
            get: (domain: Heroku.Domain) => "CNAME" | "ALIAS or ANAME" | undefined;
        };
        cname: {
            header: string;
        };
        acm_status: {
            header: string;
            extended: boolean;
        };
        acm_status_reason: {
            header: string;
            extended: boolean;
        };
    };
    run(): Promise<void>;
}
