"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MULTIPLE_SNI_ENDPOINT_FLAG = 'allow-multiple-sni-endpoints';
async function multipleSniEndpointsEnabled(heroku, appName) {
    const { body: featureList } = await heroku.get(`/apps/${appName}/features`);
    const multipleSniEndpointFeature = featureList.find(feature => feature.name === MULTIPLE_SNI_ENDPOINT_FLAG);
    return Boolean(multipleSniEndpointFeature && multipleSniEndpointFeature.enabled);
}
exports.default = multipleSniEndpointsEnabled;
