"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("@heroku-cli/color");
const cli_ux_1 = require("cli-ux");
async function waitForDomain(app, heroku, domain) {
    cli_ux_1.default.action.start(`Waiting for ${color_1.color.green(domain.hostname || 'domain')}`);
    while (domain.status === 'pending') {
        // eslint-disable-next-line no-await-in-loop
        await cli_ux_1.default.wait(5000);
        // eslint-disable-next-line no-await-in-loop
        const { body: updatedDomain } = await heroku.get(`/apps/${app}/domains/${domain.id}`);
        domain = updatedDomain;
    }
    cli_ux_1.default.action.stop();
    if (domain.status === 'succeeded' || domain.status === 'none')
        return;
    throw new Error(`The domain creation finished with status ${domain.status}`);
}
exports.default = waitForDomain;
